%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             staxmapper
Version:          1.0.0
Release:          %mkrel 1
Summary:          StAX Mapper
Group:            Development/Java
License:          LGPLv2+
URL:              https://github.com/jbossas/staxmapper

# git clone git://github.com/jbossas/staxmapper.git
# cd staxmapper/ && git archive --format=tar --prefix=staxmapper-1.0.0.Final/ 1.0.0.Final | xz > staxmapper-1.0.0.Final.tar.xz
Source0:          %{name}-%{namedversion}.tar.xz

BuildArch:        noarch

BuildRequires:    bsf
BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven

BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-source-plugin
BuildRequires:    jboss-parent

Requires:         jpackage-utils
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils
Requires:         java

%description
This package contains the The JBoss Logging Framework.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

mvn-rpmbuild \
  install:install-file \
  -DgroupId=bsf \
  -DartifactId=bsf \
  -Dversion=2.3.0 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath bsf) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-rpmbuild \
  install:install-file \
  -DgroupId=org.apache.maven.plugins \
  -DartifactId=maven-enforcer-plugin \
  -Dversion=1.0 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath maven-enforcer/plugin) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-rpmbuild \
  install:install-file \
  -DgroupId=org.apache.maven.plugins \
  -DartifactId=maven-surefire-plugin \
  -Dversion=2.8.1 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath maven-surefire/maven-plugin) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-rpmbuild \
  install:install-file \
  -DgroupId=org.apache.maven.surefire \
  -DartifactId=surefire-junit3 \
  -Dversion=2.8.1 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath maven-surefire/junit) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-rpmbuild \
  install:install-file \
  -DgroupId=org.apache.maven.surefire \
  -DartifactId=surefire-providers \
  -Dversion=2.8.1 \
  -Dpackaging=pom \
  -Dfile=/usr/share/maven2/poms/JPP.maven-surefire-providers.pom \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-rpmbuild \
	-Dmaven.repo.local=$MAVEN_REPO_LOCAL \
	install javadoc:aggregate

%install
rm -fr %buildroot
# JAR
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
cp -p target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom

# DEPMAP
%add_to_maven_depmap org.jboss %{name} %{version} JPP/jboss %{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
#%doc

%files javadoc
%{_javadocdir}/%{name}



%changelog
* Fri Aug 05 2011 dmorgan <dmorgan> 1.0.0-1.mga2
+ Revision: 131950
- Clean spec file

  + gil <gil>
    - imported package staxmapper


* Fri Jun 03 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Initial packaging


